> ## Documentation Index
> Fetch the complete documentation index at: https://docs.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get custom app theme configuration for employer

> Retrieves the current custom app theme configuration for the specified employer. Returns the theme configuration stored in WorkBright, or null if no theme is configured.



## OpenAPI

````yaml /i9/api-reference/i-9-api.yaml get /v1/employers/{employerId}/applicationTheme
openapi: 3.1.0
info:
  contact:
    name: Symmetry Software
    url: https://www.symmetry.com
  description: I-9 API Documentation
  license:
    name: Terms of service
    url: https://www.symmetry.com/terms
  title: I-9 API
  version: 1.69.13
servers:
  - url: https://api.symmetry.com/i9
security: []
tags:
  - description: >-
      Endpoints for managing custom app theming configurations for a specific
      employer
    name: Employer Custom App Theming
  - description: >-
      Endpoints for managing custom app theming configurations for all employers
      in the account
    name: Account Custom App Theming
paths:
  /v1/employers/{employerId}/applicationTheme:
    get:
      tags:
        - Employer Custom App Theming
      summary: Get custom app theme configuration for employer
      description: >-
        Retrieves the current custom app theme configuration for the specified
        employer. Returns the theme configuration stored in WorkBright, or null
        if no theme is configured.
      operationId: getCustomAppTheme
      parameters:
        - description: The UUID of the employer
          in: path
          name: employerId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                Custom app theme response:
                  description: Custom app theme response
                  summary: Example custom app theme configuration
                  value:
                    custom_app_theme:
                      alerts:
                        borderRadius: 4px
                        borderWidth: 1px
                        variants:
                          danger:
                            backgroundColor: '#fffbfb'
                            borderColor: '#c53336'
                          primary:
                            backgroundColor: '#fdfcff'
                            borderColor: '#006cc1'
                      body:
                        color: '#525257'
                        fontSize: 16px
                      buttons:
                        borderRadius: 4px
                        variants:
                          default:
                            borderColor: '#1c1c1c'
                          primary:
                            activeBackgroundColor: '#005c5c'
                            backgroundColor: '#0A8080'
                      formControl:
                        borderColor: '#929292'
                        borderRadius: 4px
                        focusBorderColor: '#005c5c'
                      headings:
                        h1:
                          color: '#262626'
                          fontSize: 32px
                          fontWeight: '500'
                        h2:
                          color: '#000fff'
                          fontSize: 50px
                          fontWeight: '500'
                      link:
                        color: '#0a8080'
                        decoration: underline
                        hoverColor: '#005c5c'
                        hoverDecoration: underline
              schema:
                $ref: '#/components/schemas/CustomAppThemeResponse'
          description: Successfully retrieved custom app theme
        '404':
          description: No custom app theme found or employer not found
      security:
        - AuthenticationToken: []
components:
  schemas:
    CustomAppThemeResponse:
      description: Custom app theme configuration response
      properties:
        custom_app_theme:
          $ref: '#/components/schemas/CustomAppThemeObject'
          description: Custom app theme configuration object
      type: object
    CustomAppThemeObject:
      description: Custom app theme configuration
      properties:
        alerts:
          $ref: '#/components/schemas/AlertsTheme'
        body:
          $ref: '#/components/schemas/BodyTheme'
        buttons:
          $ref: '#/components/schemas/ButtonsTheme'
        formControl:
          $ref: '#/components/schemas/FormControlsTheme'
        headings:
          $ref: '#/components/schemas/HeadingsTheme'
        link:
          $ref: '#/components/schemas/LinkTheme'
      type: object
    AlertsTheme:
      description: Alerts styling
      properties:
        borderRadius:
          type: string
        borderWidth:
          type: string
        variants:
          $ref: '#/components/schemas/AlertsVariants'
      type: object
    BodyTheme:
      description: Body text styling
      properties:
        color:
          type: string
        fontSize:
          type: string
      type: object
    ButtonsTheme:
      description: Buttons styling
      properties:
        borderRadius:
          type: string
        variants:
          $ref: '#/components/schemas/ButtonVariantsTheme'
      type: object
    FormControlsTheme:
      description: Form controls styling
      properties:
        borderColor:
          type: string
        borderRadius:
          type: string
        focusBorderColor:
          type: string
      type: object
    HeadingsTheme:
      description: Headings styling
      properties:
        h1:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h2:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h3:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h4:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h5:
          $ref: '#/components/schemas/HeadingLevelTheme'
        h6:
          $ref: '#/components/schemas/HeadingLevelTheme'
      type: object
    LinkTheme:
      description: Link styling
      properties:
        color:
          type: string
        decoration:
          type: string
        hoverColor:
          type: string
        hoverDecoration:
          type: string
      type: object
    AlertsVariants:
      description: Alert variants styling
      properties:
        danger:
          $ref: '#/components/schemas/AlertVariantTheme'
        info:
          $ref: '#/components/schemas/AlertVariantTheme'
        primary:
          $ref: '#/components/schemas/AlertVariantTheme'
        success:
          $ref: '#/components/schemas/AlertVariantTheme'
        warning:
          $ref: '#/components/schemas/AlertVariantTheme'
      type: object
    ButtonVariantsTheme:
      description: Button variants styling
      properties:
        danger:
          $ref: '#/components/schemas/ButtonVariantTheme'
        default:
          $ref: '#/components/schemas/ButtonVariantTheme'
        info:
          $ref: '#/components/schemas/ButtonVariantTheme'
        primary:
          $ref: '#/components/schemas/ButtonVariantTheme'
        success:
          $ref: '#/components/schemas/ButtonVariantTheme'
        warning:
          $ref: '#/components/schemas/ButtonVariantTheme'
      type: object
    HeadingLevelTheme:
      description: Heading level styling
      properties:
        color:
          type: string
        fontSize:
          type: string
        fontWeight:
          type: string
      type: object
    AlertVariantTheme:
      description: Alert variant styling
      properties:
        backgroundColor:
          type: string
        borderColor:
          type: string
      type: object
    ButtonVariantTheme:
      description: Button variant styling
      properties:
        activeBackgroundColor:
          type: string
        backgroundColor:
          type: string
        borderColor:
          type: string
      type: object
  securitySchemes:
    AuthenticationToken:
      bearerFormat: JWT
      scheme: bearer
      type: http

````